## com.thaiopensource.validate.rng
Class SAXSchemaReader

    java.lang.Object
      com.thaiopensource.validate.AbstractSchemaReader
          com.thaiopensource.validate.rng.impl.SchemaReaderImpl
              com.thaiopensource.validate.rng.SAXSchemaReader

All Implemented Interfaces:
  SchemaReader

    public class SAXSchemaReader

extends com.thaiopensource.validate.rng.impl.SchemaReaderImpl

Field Summary

Fields inherited from interface com.thaiopensource.validate.SchemaReader
`BASE_URI`

Method Summary
`protected com.thaiopensource.relaxng.parse.Parseable<com.thaiopensource.relaxng.pattern.Pattern,com.thaiopensource.relaxng.pattern.NameClass,Locator,VoidValue,com.thaiopensource.relaxng.pattern.CommentListImpl,com.thaiopensource.relaxng.pattern.AnnotationsImpl>` `createParseable(SAXSource source, com.thaiopensource.resolver.xml.sax.SAXResolver resolver, ErrorHandler eh, PropertyMap properties)`
`static SchemaReader` `getInstance()`

Methods inherited from class com.thaiopensource.validate.rng.impl.SchemaReaderImpl
`createSchema, getOption`

Methods inherited from class com.thaiopensource.validate.AbstractSchemaReader
`createSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static SchemaReader getInstance()

### createParseable

    protected com.thaiopensource.relaxng.parse.Parseable<com.thaiopensource.relaxng.pattern.Pattern,com.thaiopensource.relaxng.pattern.NameClass,Locator,VoidValue,com.thaiopensource.relaxng.pattern.CommentListImpl,com.thaiopensource.relaxng.pattern.AnnotationsImpl> createParseable(SAXSource source,
                                                                                                                                                                                                                                                                                          com.thaiopensource.resolver.xml.sax.SAXResolver resolver,
                                                                                                                                                                                                                                                                                          ErrorHandler eh,
                                                                                                                                                                                                                                                                                          PropertyMap properties)
                                                                                                                                                                                                                                                                                   throws SAXException

  Specified by:
    `createParseable` in class `com.thaiopensource.validate.rng.impl.SchemaReaderImpl`
  Throws:
    `SAXException`